## org.apache.tools.ant.taskdefs.optional.script
Class ScriptDefBase

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.script.ScriptDefBase

All Implemented Interfaces:
  DynamicAttribute, DynamicConfigurator, DynamicElement

public class ScriptDefBase
extends Task
implements DynamicConfigurator

The script execution class. This class finds the defining script task and passes control to that task's executeScript method.

Since:
  Ant 1.6

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ScriptDefBase()`

Method Summary
`java.lang.Object` `createDynamicElement(java.lang.String name)` Create a nested element
`void` `execute()` Locate the script defining task and execute the script by passing control to it
`void` `setDynamicAttribute(java.lang.String name, java.lang.String value)` Set a task attribute

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptDefBase

    public ScriptDefBase()

Method Detail

### execute

    public void execute()

  Locate the script defining task and execute the script by passing control to it

  Overrides:
    `execute` in class `Task`

### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String name)

  Create a nested element

  Specified by:
    `createDynamicElement` in interface `DynamicElement`
  Parameters:
    `name` - the nested element name
  Returns:
    the element to be configured

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String name,
                                    java.lang.String value)

  Set a task attribute

  Specified by:
    `setDynamicAttribute` in interface `DynamicAttribute`
  Parameters:
    `name` - the attribute name.
    `value` - the attribute's string value

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.